[arch-commits] Commit in php/repos (4 files)

Allan McRae allan at archlinux.org
Tue Jul 8 13:58:05 UTC 2008


    Date: Tuesday, July 8, 2008 @ 09:58:05
  Author: allan
Revision: 4664

Merged revisions 3372-4663 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/php/trunk

........
  r3767 | pierre | 2008-07-01 06:53:26 +1000 (Tue, 01 Jul 2008) | 1 line
  
  add /srv/http to open_basedir; prepare for db rebuild
........
  r4030 | pierre | 2008-07-03 04:34:20 +1000 (Thu, 03 Jul 2008) | 1 line
  
  upgpkg: php 5.2.6-3
........
  r4092 | pierre | 2008-07-03 20:42:30 +1000 (Thu, 03 Jul 2008) | 2 lines
  
  upgpkg: php 5.2.6-4
      added patch to avoid linking against old db versions
........

Added:
  php/repos/testing-i686/db-configure.patch
    (from rev 4092, php/trunk/db-configure.patch)
Modified:
  php/repos/testing-i686/	(properties)
  php/repos/testing-i686/PKGBUILD
  php/repos/testing-i686/php.ini

--------------------+
 PKGBUILD           |   18 ++++++++++--------
 db-configure.patch |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 php.ini            |    2 +-
 3 files changed, 62 insertions(+), 9 deletions(-)


Property changes on: php/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /php/trunk:1-3371
   + /php/trunk:1-4663

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-07-08 13:23:47 UTC (rev 4663)
+++ testing-i686/PKGBUILD	2008-07-08 13:58:05 UTC (rev 4664)
@@ -3,7 +3,7 @@
 
 pkgname=php
 pkgver=5.2.6
-pkgrel=2
+pkgrel=4
 _suhosinver=0.9.6.2
 pkgdesc='A high-level scripting language'
 arch=('i686' 'x86_64')
@@ -15,7 +15,7 @@
 makedepends=('apache' 'imap' 'postgresql-libs' 'mysql' 'libldap' 'smtp-server' \
              'libpng' 'libjpeg' 'sqlite3' 'unixodbc' 'net-snmp' \
              'libmcrypt' 'tidyhtml' 'aspell' 'libtool' 'freetype2' 'libjpeg' \
-             'curl' 'libxslt' 'pam' 'openssl' 'bzip2' 'gdbm')
+             'curl' 'libxslt' 'pam' 'openssl' 'bzip2' 'gdbm' 'db>=4.7')
 optdepends=('bzip2: bz2' \
             'curl: curl' \
             'gdbm: dba' \
@@ -36,18 +36,17 @@
             'tidyhtml: tidy' \
             'libxslt: xsl' \
             )
-options=('emptydirs' '!makeflags')
+options=('emptydirs')
 source=("http://www.php.net/distributions/${pkgname}-${pkgver}.tar.bz2" \
         "http://download.suhosin.org/suhosin-patch-${pkgver}-${_suhosinver}.patch.gz" \
-        'php.ini' 'apache.conf')
+        'php.ini' 'apache.conf' 'db-configure.patch')
 md5sums=('7380ffecebd95c6edb317ef861229ebd'
          'f2ec986341a314c271259dbe4d940858'
-         '7cb9c272fb373ee431f4a808952e0bef'
-         '96ca078be6729b665be8a865535a97bf')
+         '0ee1dad48f7d67af3d2c78ca6eed68ba'
+         '96ca078be6729b665be8a865535a97bf'
+         '74e5ce5a02488ec91b1c59f539e42936')
 
 build() {
-	[ -e /usr/lib/libdb-4.1.so ] && echo 'remove db4.1 package' && return 1
-
 	phpconfig="--prefix=/usr \
 	--sysconfdir=/etc/php \
 	--with-layout=GNU \
@@ -126,6 +125,9 @@
 
 	cd ${srcdir}/${pkgname}-${pkgver}
 
+	# avoid linking against old db version
+	patch -p0 -i ${srcdir}/db-configure.patch || return 1
+
 	# apply suhosin patch
 	patch -p1 -i ${srcdir}/suhosin-patch-${pkgver}-${_suhosinver}.patch || return 1
 

Copied: php/repos/testing-i686/db-configure.patch (from rev 4092, php/trunk/db-configure.patch)
===================================================================
--- testing-i686/db-configure.patch	                        (rev 0)
+++ testing-i686/db-configure.patch	2008-07-08 13:58:05 UTC (rev 4664)
@@ -0,0 +1,51 @@
+--- configure.orig	2008-07-03 10:27:06.000000000 +0000
++++ configure	2008-07-03 10:30:56.000000000 +0000
+@@ -28399,43 +28399,15 @@
+   
+   unset THIS_INCLUDE THIS_LIBS THIS_LFLAGS THIS_PREFIX THIS_RESULT
+ 
+-  dbdp="/usr/local/BerkeleyDB.4."
+-  for i in $PHP_DB4 ${dbdp}6 ${dbdp}5 ${dbdp}4 ${dbdp}3  ${dbdp}2 ${dbdp}1 ${dbdp}0 /usr/local /usr; do
+-    if test -f "$i/db4/db.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/db4/db.h
+-      break
+-    elif test -f "$i/include/db4.6/db.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db4.6/db.h
+-      break
+-    elif test -f "$i/include/db4.5/db.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db4.5/db.h
+-      break
+-    elif test -f "$i/include/db4/db.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db4/db.h
+-      break
+-    elif test -f "$i/include/db/db4.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db/db4.h
+-      break
+-    elif test -f "$i/include/db4.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db4.h
+-      break
+-    elif test -f "$i/include/db.h"; then
+-      THIS_PREFIX=$i
+-      THIS_INCLUDE=$i/include/db.h
+-      break
+-    fi
+-  done
++  if test -f "/usr/include/db.h"; then
++    THIS_PREFIX=/usr
++    THIS_INCLUDE=/usr/include/db.h
++  fi
+   
+   if test -z "$THIS_INCLUDE"; then
+     { echo "configure: error: DBA: Could not find necessary header file(s)." 1>&2; exit 1; }
+   fi
+-  for LIB in db-4.6 db-4.5 db-4.4 db-4.3 db-4.2 db-4.1 db-4.0 db-4 db4 db; do
++  for LIB in db; do
+     if test -f $THIS_PREFIX/$PHP_LIBDIR/lib$LIB.a || test -f $THIS_PREFIX/$PHP_LIBDIR/lib$LIB.$SHLIB_SUFFIX_NAME; then
+       lib_found="";
+       

Modified: testing-i686/php.ini
===================================================================
--- testing-i686/php.ini	2008-07-08 13:23:47 UTC (rev 4663)
+++ testing-i686/php.ini	2008-07-08 13:58:05 UTC (rev 4664)
@@ -249,7 +249,7 @@
 ; and below.  This directive makes most sense if used in a per-directory
 ; or per-virtualhost web server configuration file. This directive is
 ; *NOT* affected by whether Safe Mode is turned On or Off.
-open_basedir = /home/:/tmp/:/usr/share/pear/
+open_basedir = /srv/http/:/home/:/tmp/:/usr/share/pear/
 
 ; This directive allows you to disable certain functions for security reasons.
 ; It receives a comma-delimited list of function names. This directive is





More information about the arch-commits mailing list